/*
 * View.h
 * 
 * Copyright (C) 2008 Matthias Schiffer <matthias@gamezock.de>
 * 
 * This program is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef ZOOMEDIT_VIEW_H_
#define ZOOMEDIT_VIEW_H_

namespace ZoomEdit {

namespace Data {
class Level;
}

namespace View {

class View {
  protected:
    Data::Level *level;
    
  public:
    View(Data::Level *level0) : level(level0) {}
    virtual ~View() {}
    
    virtual Data::Level* getLevel() {return level;}
    virtual void setLevel(Data::Level *level0) {level = level0;}
    
    virtual void render() = 0;
};

}
}

#endif /*ZOOMEDIT_RENDERER_H_*/
